// ============================================================================
//
// CBP_rhs_Salamander_1.c
// 03-02-21
// For 3352 Status RELEASE
//		
// ============================================================================

#include <math.h>
#include <stdio.h>
#include "CBP_rhs_Salamander_1.h"

// Parameters
double alpha, mu, omega, tau, k;

// Controller calls this function to send the parameters across
void setParams(double alpha_,  double mu_, double omega_, double tau_, double k_) {
    alpha = alpha_;
	mu = mu_;
	omega = omega_;
	tau = tau_;
	k = k_;
	
}

// Naming neurons --------------------------------------------------------------
// Neurons 0-1 Hopf Oscillator.   Output neuron is 0
// Neurons 2-4 First phase delay. Output neuron is 4
// Neurons 5-7 First phase delay. Output neuron is 4
// Neurons 8-10 First phase delay. Output neuron is 4
// Neurons 11-13 First phase delay. Output neuron is 4
// Neurons 14-16	 First phase delay. Output neuron is 4

void rhs_Salamander_1(double t, double u[], double dudt[]) {
double r;

// ------------ calculate r   ----------------------------------------------------
r = sqrt(u[0]*u[0] + u[1]*u[1]);

// Oscillator driving motor 0
dudt[0] = 0;
dudt[1] = 0;

// Chain of phase shifts
// Segment 1
dudt[2] = 0;
dudt[3] = 0;
dudt[4] = 0;

// Segment 2
dudt[5] = 0;
dudt[6] = 0;
dudt[7] = 0;

// Segment 3
dudt[8]  = 0;
dudt[9]  = 0;
dudt[10] = 0;

// Segment 4
dudt[11] = 0;
dudt[12] = 0;
dudt[13] = 0;

// Segment 5
dudt[14] = 0;
dudt[15] = 0;
dudt[16] = 0;
}

